# Uses of Class
com.jangular.backend.dto.AuthRequest

Packages that use AuthRequest
Package
Description
com.jangular.backend.controller
com.jangular.backend.service

## Uses of AuthRequest in com.jangular.backend.controller

Methods in com.jangular.backend.controller with parameters of type AuthRequest
Modifier and Type
Method
Description
`org.springframework.http.ResponseEntity<AuthResponse>`
AuthController.`login(@Valid AuthRequest loginRequest, jakarta.servlet.http.HttpServletRequest request)`
User login endpoint

## Uses of AuthRequest in com.jangular.backend.service

Methods in com.jangular.backend.service with parameters of type AuthRequest
Modifier and Type
Method
Description
`AuthResponse`
AuthenticationService.`authenticate(AuthRequest request, String ipAddress, String userAgent)`
Authenticate user and generate JWT tokens